Skip to content
体验新版
项目
组织
正在加载...
登录
切换导航
打开侧边栏
BaiXuePrincess
Paddle
提交
c0443835
P
Paddle
项目概览
BaiXuePrincess
/
Paddle
与 Fork 源项目一致
Fork自
PaddlePaddle / Paddle
通知
1
Star
1
Fork
0
代码
文件
提交
分支
Tags
贡献者
分支图
Diff
Issue
0
列表
看板
标记
里程碑
合并请求
0
Wiki
0
Wiki
分析
仓库
DevOps
项目成员
Pages
P
Paddle
项目概览
项目概览
详情
发布
仓库
仓库
文件
提交
分支
标签
贡献者
分支图
比较
Issue
0
Issue
0
列表
看板
标记
里程碑
合并请求
0
合并请求
0
Pages
分析
分析
仓库分析
DevOps
Wiki
0
Wiki
成员
成员
收起侧边栏
关闭侧边栏
动态
分支图
创建新Issue
提交
Issue看板
未验证
提交
c0443835
编写于
11月 23, 2021
作者:
Z
zhangchunle
提交者:
GitHub
11月 23, 2021
浏览文件
操作
浏览文件
下载
电子邮件补丁
差异文件
fix ut retry (#37301)
* fix ut retry
上级
bc150edc
变更
2
隐藏空白更改
内联
并排
Showing
2 changed file
with
6 addition
and
21 deletion
+6
-21
paddle/scripts/paddle_build.sh
paddle/scripts/paddle_build.sh
+5
-20
tools/parallel_UT_rule.py
tools/parallel_UT_rule.py
+1
-1
未找到文件。
paddle/scripts/paddle_build.sh
浏览文件 @
c0443835
...
...
@@ -1051,9 +1051,7 @@ failed_test_lists=''
tmp_dir
=
`
mktemp
-d
`
function
collect_failed_tests
()
{
echo
"collect_failed_tests begineee!!!"
for
file
in
`
ls
$tmp_dir
`
;
do
echo
"fileis
$file
"
exit_code
=
0
grep
-q
'The following tests FAILED:'
$tmp_dir
/
$file
||
exit_code
=
$?
if
[
$exit_code
-ne
0
]
;
then
...
...
@@ -1064,7 +1062,6 @@ function collect_failed_tests() {
${
failuretest
}
"
fi
done
echo
"collect_failed_tests finished!!!"
}
# getting qucik disable ut list
...
...
@@ -1277,7 +1274,6 @@ set +x
# trick: treat all test case with prefix "test_dist" as dist case, and would run on 2 GPUs
read
is_multicard
<<<
$(
echo
"
$testcase
"
|grep
-oEi
"test_dist_"
)
fi
if
[[
"
$is_exclusive
"
!=
""
]]
;
then
if
[[
$(
echo
$high_parallel_job
|
grep
-o
"
\^
$testcase
\\
$"
)
!=
""
]]
;
then
exclusive_tests_high_parallel
=
"
$exclusive_tests_high_parallel
|^
$testcase
$"
...
...
@@ -1385,7 +1381,7 @@ set +x
retry_unittests_record
=
"
$retry_unittests_record$failed_test_lists
"
failed_test_lists_ult
=
`
echo
"
${
failed_test_lists
}
"
|grep
-Po
'[^ ].*$'
`
set
-e
if
[[
"
${
exec_times
}
"
==
"1"
]]
||
[[
"
${
exec_times
}
"
==
"
3
"
]]
;
then
if
[[
"
${
exec_times
}
"
==
"1"
]]
||
[[
"
${
exec_times
}
"
==
"
2
"
]]
;
then
if
[[
"
${
failed_test_lists
}
"
==
""
]]
;
then
break
else
...
...
@@ -1424,45 +1420,34 @@ set +x
fi
done
echo
"rerun one_card_retry beginee!!!"
if
[[
"
$one_card_retry
"
!=
""
]]
;
then
card_test
"
$one_card_retry
"
1 4
fi
echo
"rerun one_card_retry finished!!!"
echo
"rerun multiple_card_retry beginee!!!"
if
[[
"
$multiple_card_retry
"
!=
""
]]
;
then
card_test
"
$multiple_card_retry
"
2
fi
echo
"rerun multiple_card_retry finished!!!"
echo
"rerun exclusive_retry beginee!!!"
if
[[
"
$exclusive_retry
"
!=
""
]]
;
then
card_test
"
$exclusive_retry
"
-1
fi
echo
"rerun exclusive_retry finished!!!"
exec_times
=
$[$exec_times
+1]
echo
"exec_times:
$exec_times
"
exec_times
=
$[$exec_times
+1]
failed_test_lists
=
''
collect_failed_tests
echo
"failed_test_lists
ssssss
:
$failed_test_lists
"
echo
"failed_test_lists:
$failed_test_lists
"
rm
-f
$tmp_dir
/
*
one_card_retry
=
''
multiple_card_retry
=
''
exclusive_retry
=
''
else
break
fi
done
retry_unittests_record
=
"
$retry_unittests_record$failed_test_lists
"
fi
rerun_ut_endTime_s
=
`
date
+%s
`
echo
"ipipe_log_param_Rerunaaaa_TestCases_Total_Time:
$[
$rerun_ut_endTime_s
-
$rerun_ut_startTime_s
]s"
echo
"ipipe_log_param_Rerun_TestCases_Total_Time:
$[
$rerun_ut_endTime_s
-
$rerun_ut_startTime_s
]s"
>>
${
PADDLE_ROOT
}
/build/build_summary.txt
ut_actual_total_endTime_s
=
`
date
+%s
`
echo
"ipipe_log_param_actualaaaaa_TestCases_Total_Time:
$[
$ut_actual_total_endTime_s
-
$ut_actual_total_startTime_s
]s"
echo
"ipipe_log_param_actual_TestCases_Total_Time:
$[
$ut_actual_total_endTime_s
-
$ut_actual_total_startTime_s
]s"
>>
${
PADDLE_ROOT
}
/build/build_summary.txt
if
[[
"
$EXIT_CODE
"
!=
"0"
]]
;
then
show_ut_retry_result
...
...
@@ -1495,7 +1480,7 @@ function show_ut_retry_result() {
exit
8
;
else
retry_unittests_ut_name
=
$(
echo
"
$retry_unittests_record
"
|
grep
-oEi
"
\-
.+
\(
"
|
sed
's/(//'
|
sed
's/- //'
)
retry_unittests_record_judge
=
$(
echo
${
retry_unittests_ut_name
}
|
tr
' '
'\n'
|
sort
|
uniq
-c
|
awk
'{if ($1 >=
3
) {print $2}}'
)
retry_unittests_record_judge
=
$(
echo
${
retry_unittests_ut_name
}
|
tr
' '
'\n'
|
sort
|
uniq
-c
|
awk
'{if ($1 >=
4
) {print $2}}'
)
if
[
-z
"
${
retry_unittests_record_judge
}
"
]
;
then
echo
"========================================"
echo
"There are failed tests, which have been successful after re-run:"
...
...
tools/parallel_UT_rule.py
浏览文件 @
c0443835
...
...
@@ -2265,7 +2265,7 @@ def main():
print
(
"{};{};{};{}"
.
format
(
high_parallel_job
,
fourth_high_parallel_job
,
fifth_high_parallel_job
,
non_parallel_job
))
else
:
print
(
"{};{};{};{};{};{};{}"
.
format
(
print
(
"{};{};{};{};{};{};{}
;{}
"
.
format
(
high_parallel_job
,
secondary_high_parallel_job
,
third_high_parallel_job
,
fourth_high_parallel_job
,
fifth_high_parallel_job
,
sixth_high_parallel_job
,
...
...
编辑
预览
Markdown
is supported
0%
请重试
或
添加新附件
.
添加附件
取消
You are about to add
0
people
to the discussion. Proceed with caution.
先完成此消息的编辑!
取消
想要评论请
注册
或
登录